lens-4.13: Lenses, Folds and Traversals

Copyright | (C) 2014-2015 Edward Kmett and Eric Mertens
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

Control.Lens.Internal.List

Description

This module provides utility functions on lists used by the library implementation.

Synopsis

- ordinalNub :: Int -> [Int] -> [Int]

# Documentation

ordinalNub Source

Arguments

:: Int | strict upper bound
-> [Int] | ordinals
-> [Int] | unique, in-bound ordinals, in order seen

Return the the subset of given ordinals within a given bound and in order of the first occurrence seen.

Bound: `0 <= x < l`

    >>> ordinalNub 3 [-1,2,1,4,2,3]
    [2,1]